#include "iftun.h"


int tun_alloc(char *dev) {
	int fd = open("/dev/net/tun", O_RDWR);
	if(fd < 0 ) {
		perror("alloc tun");
		exit(1);
	}

	struct ifreq ifr = {.ifr_flags = IFF_TUN};
	ifr.ifr_flags = IFF_TUN | IFF_NO_PI;

	if (*dev) {
		strncpy(ifr.ifr_name, dev, IFNAMSIZ);
	}

	int err = ioctl(fd, TUNSETIFF, (void *) &ifr);
	if(err < 0 ){
		close(fd);
		return err;
	}

	strcpy(dev, ifr.ifr_name);
	return fd;
}
